static struct needle_image needle_images[] = {
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-0-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 0,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-1-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 1,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-2-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 2,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-3-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 3,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-4-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 4,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-5-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 5,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-6-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 6,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-7-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 7,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-8-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 8,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-9-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 9,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-10-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 10,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-11-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 11,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-12-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 12,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-13-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 13,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-14-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 14,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-15-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 15,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-16-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 16,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-17-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 17,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-18-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 18,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-19-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 19,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-20-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 20,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-21-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 21,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-22-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 22,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-23-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 23,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-24-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 24,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-25-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 25,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-26-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 26,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-27-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 27,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-28-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 28,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-29-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 29,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-30-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 30,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-31-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 31,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-32-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 32,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-33-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 33,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-34-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 34,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-35-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 35,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-36-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 36,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-37-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 37,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-38-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 38,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-39-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 39,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-40-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 40,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-41-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 41,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-42-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 42,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-43-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 43,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-44-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 44,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-45-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 45,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-46-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 46,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-47-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 47,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-48-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 48,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-49-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 49,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-50-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 50,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-51-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 51,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-52-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 52,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-53-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 53,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-54-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 54,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-55-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 55,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-56-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 56,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-57-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 57,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-58-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 58,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-59-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 59,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-60-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 60,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-61-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 61,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-62-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 62,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-63-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 63,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-64-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 64,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-65-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 65,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-66-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 66,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-67-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 67,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-68-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 68,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-69-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 69,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-70-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 70,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-71-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 71,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-72-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 72,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-73-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 73,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-74-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 74,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-75-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 75,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-76-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 76,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-77-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 77,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-78-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 78,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-79-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 79,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-80-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 80,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-81-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 81,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-82-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 82,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-83-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 83,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-84-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 84,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-85-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 85,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-86-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 86,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-87-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 87,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-88-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 88,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-89-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 89,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-90-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 90,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-91-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 91,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-92-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 92,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-93-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 93,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-94-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 94,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-95-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 95,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-96-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 96,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-97-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 97,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-98-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 98,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-99-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 99,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-100-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 100,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-101-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 101,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-102-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 102,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-103-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 103,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-104-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 104,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-105-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 105,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-106-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 106,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-107-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 107,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-108-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 108,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-109-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 109,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-110-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 110,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-111-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 111,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-112-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 112,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-113-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 113,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-114-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 114,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-115-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 115,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-116-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 116,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-117-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 117,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-118-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 118,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-119-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 119,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-120-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 120,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-121-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 121,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-122-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 122,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-123-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 123,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-124-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 124,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-125-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 125,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-126-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 126,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-127-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 127,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-128-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 128,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-129-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 129,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-130-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 130,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-131-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 131,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-132-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 132,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-133-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 133,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-134-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 134,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-135-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 135,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-136-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 136,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-137-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 137,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-138-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 138,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-139-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 139,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-140-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 140,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-141-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 141,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-142-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 142,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-143-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 143,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-144-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 144,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-145-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 145,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-146-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 146,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-147-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 147,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-148-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 148,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-149-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 149,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-150-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 150,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-151-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 151,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-152-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 152,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-153-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 153,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-154-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 154,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-155-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 155,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-156-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 156,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-157-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 157,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-158-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 158,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-159-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 159,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-160-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 160,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-161-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 161,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-162-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 162,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-163-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 163,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-164-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 164,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-165-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 165,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-166-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 166,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-167-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 167,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-168-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 168,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-169-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 169,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-170-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 170,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-171-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 171,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-172-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 172,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-173-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 173,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-174-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 174,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-175-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 175,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-176-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 176,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-177-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 177,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-178-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 178,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-179-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 179,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-180-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 180,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-181-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 181,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-182-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 182,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-183-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 183,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-184-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 184,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-185-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 185,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-186-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 186,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-187-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 187,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-188-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 188,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-189-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 189,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-190-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 190,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-191-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 191,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-192-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 192,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-193-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 193,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-194-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 194,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-195-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 195,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-196-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 196,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-197-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 197,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-198-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 198,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-199-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 199,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-200-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 200,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-201-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 201,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-202-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 202,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-203-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 203,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-204-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 204,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-205-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 205,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-206-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 206,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-207-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 207,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-208-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 208,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-209-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 209,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-210-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 210,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-211-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 211,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-212-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 212,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-213-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 213,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-214-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 214,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-215-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 215,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-216-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 216,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-217-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 217,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-218-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 218,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-219-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 219,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-220-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 220,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-221-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 221,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-222-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 222,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-223-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 223,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-224-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 224,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-225-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 225,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-226-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 226,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-227-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 227,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-228-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 228,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-229-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 229,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-230-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 230,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-231-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 231,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-232-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 232,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-233-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 233,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-234-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 234,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-235-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 235,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-236-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 236,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-237-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 237,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-238-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 238,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-239-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 239,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-240-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 240,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-241-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 241,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-242-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 242,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-243-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 243,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-244-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 244,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-245-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 245,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-246-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 246,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-247-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 247,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-248-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 248,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-249-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 249,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-250-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 250,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-251-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 251,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-252-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 252,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-253-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 253,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-254-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 254,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-255-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 255,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-256-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 256,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-257-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 257,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-258-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 258,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-259-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 259,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-260-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 260,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-261-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 261,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-262-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 262,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-263-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 263,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-264-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 264,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-265-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 265,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-266-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 266,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-267-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 267,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-268-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 268,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-269-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 269,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-270-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 270,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-271-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 271,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-272-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 272,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-273-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 273,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-274-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 274,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-275-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 275,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-276-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 276,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-277-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 277,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-278-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 278,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-279-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 279,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-280-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 280,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-281-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 281,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-282-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 282,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-283-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 283,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-284-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 284,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-285-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 285,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-286-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 286,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-287-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 287,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-288-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 288,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-289-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 289,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-290-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 290,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-291-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 291,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-292-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 292,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-293-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 293,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-294-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 294,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-295-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 295,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-296-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 296,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-297-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 297,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-298-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 298,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-299-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 299,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-300-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 300,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-301-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 301,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-302-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 302,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-303-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 303,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-304-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 304,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-305-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 305,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-306-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 306,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-307-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 307,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-308-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 308,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-309-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 309,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-310-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 310,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-311-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 311,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-312-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 312,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-313-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 313,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-314-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 314,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-315-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 315,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-316-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 316,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-317-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 317,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-318-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 318,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-319-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 319,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-320-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 320,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-321-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 321,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-322-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 322,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-323-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 323,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-324-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 324,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-325-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 325,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-326-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 326,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-327-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 327,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-328-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 328,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-329-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 329,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-330-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 330,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-331-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 331,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-332-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 332,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-333-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 333,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-334-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 334,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-335-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 335,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-336-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 336,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-337-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 337,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-338-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 338,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-339-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 339,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-340-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 340,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-341-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 341,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-342-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 342,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-343-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 343,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-344-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 344,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-345-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 345,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-346-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 346,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-347-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 347,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-348-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 348,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-349-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 349,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-350-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 350,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-351-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 351,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-352-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 352,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-353-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 353,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-354-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 354,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-355-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 355,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-356-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 356,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-357-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 357,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-358-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 358,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-359-deg-120-120.raw",
		.width = 120,
		.height = 120,
		.angle = 359,
	},
};
static struct needle_asset mphassets[] = {
	{
		.pos_x = 320,
		.pos_y = 85,
		.angle = 0,
	},
	{
		.pos_x = 324,
		.pos_y = 85,
		.angle = 1,
	},
	{
		.pos_x = 328,
		.pos_y = 85,
		.angle = 2,
	},
	{
		.pos_x = 331,
		.pos_y = 85,
		.angle = 3,
	},
	{
		.pos_x = 335,
		.pos_y = 86,
		.angle = 4,
	},
	{
		.pos_x = 339,
		.pos_y = 86,
		.angle = 5,
	},
	{
		.pos_x = 342,
		.pos_y = 86,
		.angle = 6,
	},
	{
		.pos_x = 346,
		.pos_y = 87,
		.angle = 7,
	},
	{
		.pos_x = 350,
		.pos_y = 87,
		.angle = 8,
	},
	{
		.pos_x = 354,
		.pos_y = 88,
		.angle = 9,
	},
	{
		.pos_x = 357,
		.pos_y = 88,
		.angle = 10,
	},
	{
		.pos_x = 361,
		.pos_y = 89,
		.angle = 11,
	},
	{
		.pos_x = 365,
		.pos_y = 90,
		.angle = 12,
	},
	{
		.pos_x = 368,
		.pos_y = 91,
		.angle = 13,
	},
	{
		.pos_x = 372,
		.pos_y = 91,
		.angle = 14,
	},
	{
		.pos_x = 376,
		.pos_y = 92,
		.angle = 15,
	},
	{
		.pos_x = 379,
		.pos_y = 93,
		.angle = 16,
	},
	{
		.pos_x = 383,
		.pos_y = 94,
		.angle = 17,
	},
	{
		.pos_x = 386,
		.pos_y = 96,
		.angle = 18,
	},
	{
		.pos_x = 390,
		.pos_y = 97,
		.angle = 19,
	},
	{
		.pos_x = 394,
		.pos_y = 98,
		.angle = 20,
	},
	{
		.pos_x = 397,
		.pos_y = 99,
		.angle = 21,
	},
	{
		.pos_x = 401,
		.pos_y = 101,
		.angle = 22,
	},
	{
		.pos_x = 404,
		.pos_y = 102,
		.angle = 23,
	},
	{
		.pos_x = 407,
		.pos_y = 104,
		.angle = 24,
	},
	{
		.pos_x = 411,
		.pos_y = 105,
		.angle = 25,
	},
	{
		.pos_x = 414,
		.pos_y = 107,
		.angle = 26,
	},
	{
		.pos_x = 418,
		.pos_y = 108,
		.angle = 27,
	},
	{
		.pos_x = 421,
		.pos_y = 110,
		.angle = 28,
	},
	{
		.pos_x = 424,
		.pos_y = 112,
		.angle = 29,
	},
	{
		.pos_x = 428,
		.pos_y = 114,
		.angle = 30,
	},
	{
		.pos_x = 431,
		.pos_y = 116,
		.angle = 31,
	},
	{
		.pos_x = 434,
		.pos_y = 118,
		.angle = 32,
	},
	{
		.pos_x = 437,
		.pos_y = 120,
		.angle = 33,
	},
	{
		.pos_x = 440,
		.pos_y = 122,
		.angle = 34,
	},
	{
		.pos_x = 443,
		.pos_y = 124,
		.angle = 35,
	},
	{
		.pos_x = 446,
		.pos_y = 126,
		.angle = 36,
	},
	{
		.pos_x = 449,
		.pos_y = 128,
		.angle = 37,
	},
	{
		.pos_x = 452,
		.pos_y = 131,
		.angle = 38,
	},
	{
		.pos_x = 455,
		.pos_y = 133,
		.angle = 39,
	},
	{
		.pos_x = 458,
		.pos_y = 135,
		.angle = 40,
	},
	{
		.pos_x = 461,
		.pos_y = 138,
		.angle = 41,
	},
	{
		.pos_x = 464,
		.pos_y = 140,
		.angle = 42,
	},
	{
		.pos_x = 467,
		.pos_y = 143,
		.angle = 43,
	},
	{
		.pos_x = 469,
		.pos_y = 145,
		.angle = 44,
	},
	{
		.pos_x = 472,
		.pos_y = 148,
		.angle = 45,
	},
	{
		.pos_x = 475,
		.pos_y = 151,
		.angle = 46,
	},
	{
		.pos_x = 477,
		.pos_y = 153,
		.angle = 47,
	},
	{
		.pos_x = 480,
		.pos_y = 156,
		.angle = 48,
	},
	{
		.pos_x = 482,
		.pos_y = 159,
		.angle = 49,
	},
	{
		.pos_x = 485,
		.pos_y = 162,
		.angle = 50,
	},
	{
		.pos_x = 487,
		.pos_y = 165,
		.angle = 51,
	},
	{
		.pos_x = 489,
		.pos_y = 168,
		.angle = 52,
	},
	{
		.pos_x = 492,
		.pos_y = 171,
		.angle = 53,
	},
	{
		.pos_x = 494,
		.pos_y = 174,
		.angle = 54,
	},
	{
		.pos_x = 496,
		.pos_y = 177,
		.angle = 55,
	},
	{
		.pos_x = 498,
		.pos_y = 180,
		.angle = 56,
	},
	{
		.pos_x = 500,
		.pos_y = 183,
		.angle = 57,
	},
	{
		.pos_x = 502,
		.pos_y = 186,
		.angle = 58,
	},
	{
		.pos_x = 504,
		.pos_y = 189,
		.angle = 59,
	},
	{
		.pos_x = 506,
		.pos_y = 193,
		.angle = 60,
	},
	{
		.pos_x = 508,
		.pos_y = 196,
		.angle = 61,
	},
	{
		.pos_x = 510,
		.pos_y = 199,
		.angle = 62,
	},
	{
		.pos_x = 512,
		.pos_y = 202,
		.angle = 63,
	},
	{
		.pos_x = 513,
		.pos_y = 206,
		.angle = 64,
	},
	{
		.pos_x = 515,
		.pos_y = 209,
		.angle = 65,
	},
	{
		.pos_x = 516,
		.pos_y = 213,
		.angle = 66,
	},
	{
		.pos_x = 518,
		.pos_y = 216,
		.angle = 67,
	},
	{
		.pos_x = 519,
		.pos_y = 219,
		.angle = 68,
	},
	{
		.pos_x = 521,
		.pos_y = 223,
		.angle = 69,
	},
	{
		.pos_x = 522,
		.pos_y = 226,
		.angle = 70,
	},
	{
		.pos_x = 523,
		.pos_y = 230,
		.angle = 71,
	},
	{
		.pos_x = 524,
		.pos_y = 234,
		.angle = 72,
	},
	{
		.pos_x = 526,
		.pos_y = 237,
		.angle = 73,
	},
	{
		.pos_x = 527,
		.pos_y = 241,
		.angle = 74,
	},
	{
		.pos_x = 528,
		.pos_y = 244,
		.angle = 75,
	},
	{
		.pos_x = 529,
		.pos_y = 248,
		.angle = 76,
	},
	{
		.pos_x = 529,
		.pos_y = 252,
		.angle = 77,
	},
	{
		.pos_x = 530,
		.pos_y = 255,
		.angle = 78,
	},
	{
		.pos_x = 531,
		.pos_y = 259,
		.angle = 79,
	},
	{
		.pos_x = 532,
		.pos_y = 263,
		.angle = 80,
	},
	{
		.pos_x = 532,
		.pos_y = 266,
		.angle = 81,
	},
	{
		.pos_x = 533,
		.pos_y = 270,
		.angle = 82,
	},
	{
		.pos_x = 533,
		.pos_y = 274,
		.angle = 83,
	},
	{
		.pos_x = 534,
		.pos_y = 278,
		.angle = 84,
	},
	{
		.pos_x = 534,
		.pos_y = 281,
		.angle = 85,
	},
	{
		.pos_x = 534,
		.pos_y = 285,
		.angle = 86,
	},
	{
		.pos_x = 535,
		.pos_y = 289,
		.angle = 87,
	},
	{
		.pos_x = 535,
		.pos_y = 292,
		.angle = 88,
	},
	{
		.pos_x = 535,
		.pos_y = 296,
		.angle = 89,
	},
	{
		.pos_x = 535,
		.pos_y = 300,
		.angle = 90,
	},
	{
		.pos_x = 535,
		.pos_y = 304,
		.angle = 91,
	},
	{
		.pos_x = 535,
		.pos_y = 308,
		.angle = 92,
	},
	{
		.pos_x = 535,
		.pos_y = 311,
		.angle = 93,
	},
	{
		.pos_x = 534,
		.pos_y = 315,
		.angle = 94,
	},
	{
		.pos_x = 534,
		.pos_y = 319,
		.angle = 95,
	},
	{
		.pos_x = 534,
		.pos_y = 322,
		.angle = 96,
	},
	{
		.pos_x = 533,
		.pos_y = 326,
		.angle = 97,
	},
	{
		.pos_x = 533,
		.pos_y = 330,
		.angle = 98,
	},
	{
		.pos_x = 532,
		.pos_y = 334,
		.angle = 99,
	},
	{
		.pos_x = 532,
		.pos_y = 337,
		.angle = 100,
	},
	{
		.pos_x = 531,
		.pos_y = 341,
		.angle = 101,
	},
	{
		.pos_x = 530,
		.pos_y = 345,
		.angle = 102,
	},
	{
		.pos_x = 529,
		.pos_y = 348,
		.angle = 103,
	},
	{
		.pos_x = 529,
		.pos_y = 352,
		.angle = 104,
	},
	{
		.pos_x = 528,
		.pos_y = 356,
		.angle = 105,
	},
	{
		.pos_x = 527,
		.pos_y = 359,
		.angle = 106,
	},
	{
		.pos_x = 526,
		.pos_y = 363,
		.angle = 107,
	},
	{
		.pos_x = 524,
		.pos_y = 366,
		.angle = 108,
	},
	{
		.pos_x = 523,
		.pos_y = 370,
		.angle = 109,
	},
	{
		.pos_x = 522,
		.pos_y = 374,
		.angle = 110,
	},
	{
		.pos_x = 521,
		.pos_y = 377,
		.angle = 111,
	},
	{
		.pos_x = 519,
		.pos_y = 381,
		.angle = 112,
	},
	{
		.pos_x = 518,
		.pos_y = 384,
		.angle = 113,
	},
	{
		.pos_x = 516,
		.pos_y = 387,
		.angle = 114,
	},
	{
		.pos_x = 515,
		.pos_y = 391,
		.angle = 115,
	},
	{
		.pos_x = 513,
		.pos_y = 394,
		.angle = 116,
	},
	{
		.pos_x = 512,
		.pos_y = 398,
		.angle = 117,
	},
	{
		.pos_x = 510,
		.pos_y = 401,
		.angle = 118,
	},
	{
		.pos_x = 508,
		.pos_y = 404,
		.angle = 119,
	},
	{
		.pos_x = 506,
		.pos_y = 408,
		.angle = 120,
	},
	{
		.pos_x = 504,
		.pos_y = 411,
		.angle = 121,
	},
	{
		.pos_x = 502,
		.pos_y = 414,
		.angle = 122,
	},
	{
		.pos_x = 500,
		.pos_y = 417,
		.angle = 123,
	},
	{
		.pos_x = 498,
		.pos_y = 420,
		.angle = 124,
	},
	{
		.pos_x = 496,
		.pos_y = 423,
		.angle = 125,
	},
	{
		.pos_x = 494,
		.pos_y = 426,
		.angle = 126,
	},
	{
		.pos_x = 492,
		.pos_y = 429,
		.angle = 127,
	},
	{
		.pos_x = 489,
		.pos_y = 432,
		.angle = 128,
	},
	{
		.pos_x = 487,
		.pos_y = 435,
		.angle = 129,
	},
	{
		.pos_x = 485,
		.pos_y = 438,
		.angle = 130,
	},
	{
		.pos_x = 482,
		.pos_y = 441,
		.angle = 131,
	},
	{
		.pos_x = 480,
		.pos_y = 444,
		.angle = 132,
	},
	{
		.pos_x = 477,
		.pos_y = 447,
		.angle = 133,
	},
	{
		.pos_x = 475,
		.pos_y = 449,
		.angle = 134,
	},
	{
		.pos_x = 472,
		.pos_y = 452,
		.angle = 135,
	},
	{
		.pos_x = 469,
		.pos_y = 455,
		.angle = 136,
	},
	{
		.pos_x = 467,
		.pos_y = 457,
		.angle = 137,
	},
	{
		.pos_x = 464,
		.pos_y = 460,
		.angle = 138,
	},
	{
		.pos_x = 461,
		.pos_y = 462,
		.angle = 139,
	},
	{
		.pos_x = 458,
		.pos_y = 465,
		.angle = 140,
	},
	{
		.pos_x = 455,
		.pos_y = 467,
		.angle = 141,
	},
	{
		.pos_x = 452,
		.pos_y = 469,
		.angle = 142,
	},
	{
		.pos_x = 449,
		.pos_y = 472,
		.angle = 143,
	},
	{
		.pos_x = 446,
		.pos_y = 474,
		.angle = 144,
	},
	{
		.pos_x = 443,
		.pos_y = 476,
		.angle = 145,
	},
	{
		.pos_x = 440,
		.pos_y = 478,
		.angle = 146,
	},
	{
		.pos_x = 437,
		.pos_y = 480,
		.angle = 147,
	},
	{
		.pos_x = 434,
		.pos_y = 482,
		.angle = 148,
	},
	{
		.pos_x = 431,
		.pos_y = 484,
		.angle = 149,
	},
	{
		.pos_x = 428,
		.pos_y = 486,
		.angle = 150,
	},
	{
		.pos_x = 424,
		.pos_y = 488,
		.angle = 151,
	},
	{
		.pos_x = 421,
		.pos_y = 490,
		.angle = 152,
	},
	{
		.pos_x = 418,
		.pos_y = 492,
		.angle = 153,
	},
	{
		.pos_x = 414,
		.pos_y = 493,
		.angle = 154,
	},
	{
		.pos_x = 411,
		.pos_y = 495,
		.angle = 155,
	},
	{
		.pos_x = 407,
		.pos_y = 496,
		.angle = 156,
	},
	{
		.pos_x = 404,
		.pos_y = 498,
		.angle = 157,
	},
	{
		.pos_x = 401,
		.pos_y = 499,
		.angle = 158,
	},
	{
		.pos_x = 397,
		.pos_y = 501,
		.angle = 159,
	},
	{
		.pos_x = 394,
		.pos_y = 502,
		.angle = 160,
	},
	{
		.pos_x = 390,
		.pos_y = 503,
		.angle = 161,
	},
	{
		.pos_x = 386,
		.pos_y = 504,
		.angle = 162,
	},
	{
		.pos_x = 383,
		.pos_y = 506,
		.angle = 163,
	},
	{
		.pos_x = 379,
		.pos_y = 507,
		.angle = 164,
	},
	{
		.pos_x = 376,
		.pos_y = 508,
		.angle = 165,
	},
	{
		.pos_x = 372,
		.pos_y = 509,
		.angle = 166,
	},
	{
		.pos_x = 368,
		.pos_y = 509,
		.angle = 167,
	},
	{
		.pos_x = 365,
		.pos_y = 510,
		.angle = 168,
	},
	{
		.pos_x = 361,
		.pos_y = 511,
		.angle = 169,
	},
	{
		.pos_x = 357,
		.pos_y = 512,
		.angle = 170,
	},
	{
		.pos_x = 354,
		.pos_y = 512,
		.angle = 171,
	},
	{
		.pos_x = 350,
		.pos_y = 513,
		.angle = 172,
	},
	{
		.pos_x = 346,
		.pos_y = 513,
		.angle = 173,
	},
	{
		.pos_x = 342,
		.pos_y = 514,
		.angle = 174,
	},
	{
		.pos_x = 339,
		.pos_y = 514,
		.angle = 175,
	},
	{
		.pos_x = 335,
		.pos_y = 514,
		.angle = 176,
	},
	{
		.pos_x = 331,
		.pos_y = 515,
		.angle = 177,
	},
	{
		.pos_x = 328,
		.pos_y = 515,
		.angle = 178,
	},
	{
		.pos_x = 324,
		.pos_y = 515,
		.angle = 179,
	},
	{
		.pos_x = 320,
		.pos_y = 515,
		.angle = 180,
	},
	{
		.pos_x = 316,
		.pos_y = 515,
		.angle = 181,
	},
	{
		.pos_x = 312,
		.pos_y = 515,
		.angle = 182,
	},
	{
		.pos_x = 309,
		.pos_y = 515,
		.angle = 183,
	},
	{
		.pos_x = 305,
		.pos_y = 514,
		.angle = 184,
	},
	{
		.pos_x = 301,
		.pos_y = 514,
		.angle = 185,
	},
	{
		.pos_x = 298,
		.pos_y = 514,
		.angle = 186,
	},
	{
		.pos_x = 294,
		.pos_y = 513,
		.angle = 187,
	},
	{
		.pos_x = 290,
		.pos_y = 513,
		.angle = 188,
	},
	{
		.pos_x = 286,
		.pos_y = 512,
		.angle = 189,
	},
	{
		.pos_x = 283,
		.pos_y = 512,
		.angle = 190,
	},
	{
		.pos_x = 279,
		.pos_y = 511,
		.angle = 191,
	},
	{
		.pos_x = 275,
		.pos_y = 510,
		.angle = 192,
	},
	{
		.pos_x = 272,
		.pos_y = 509,
		.angle = 193,
	},
	{
		.pos_x = 268,
		.pos_y = 509,
		.angle = 194,
	},
	{
		.pos_x = 264,
		.pos_y = 508,
		.angle = 195,
	},
	{
		.pos_x = 261,
		.pos_y = 507,
		.angle = 196,
	},
	{
		.pos_x = 257,
		.pos_y = 506,
		.angle = 197,
	},
	{
		.pos_x = 254,
		.pos_y = 504,
		.angle = 198,
	},
	{
		.pos_x = 250,
		.pos_y = 503,
		.angle = 199,
	},
	{
		.pos_x = 246,
		.pos_y = 502,
		.angle = 200,
	},
	{
		.pos_x = 243,
		.pos_y = 501,
		.angle = 201,
	},
	{
		.pos_x = 239,
		.pos_y = 499,
		.angle = 202,
	},
	{
		.pos_x = 236,
		.pos_y = 498,
		.angle = 203,
	},
	{
		.pos_x = 233,
		.pos_y = 496,
		.angle = 204,
	},
	{
		.pos_x = 229,
		.pos_y = 495,
		.angle = 205,
	},
	{
		.pos_x = 226,
		.pos_y = 493,
		.angle = 206,
	},
	{
		.pos_x = 222,
		.pos_y = 492,
		.angle = 207,
	},
	{
		.pos_x = 219,
		.pos_y = 490,
		.angle = 208,
	},
	{
		.pos_x = 216,
		.pos_y = 488,
		.angle = 209,
	},
	{
		.pos_x = 213,
		.pos_y = 486,
		.angle = 210,
	},
	{
		.pos_x = 209,
		.pos_y = 484,
		.angle = 211,
	},
	{
		.pos_x = 206,
		.pos_y = 482,
		.angle = 212,
	},
	{
		.pos_x = 203,
		.pos_y = 480,
		.angle = 213,
	},
	{
		.pos_x = 200,
		.pos_y = 478,
		.angle = 214,
	},
	{
		.pos_x = 197,
		.pos_y = 476,
		.angle = 215,
	},
	{
		.pos_x = 194,
		.pos_y = 474,
		.angle = 216,
	},
	{
		.pos_x = 191,
		.pos_y = 472,
		.angle = 217,
	},
	{
		.pos_x = 188,
		.pos_y = 469,
		.angle = 218,
	},
	{
		.pos_x = 185,
		.pos_y = 467,
		.angle = 219,
	},
	{
		.pos_x = 182,
		.pos_y = 465,
		.angle = 220,
	},
	{
		.pos_x = 179,
		.pos_y = 462,
		.angle = 221,
	},
	{
		.pos_x = 176,
		.pos_y = 460,
		.angle = 222,
	},
	{
		.pos_x = 173,
		.pos_y = 457,
		.angle = 223,
	},
	{
		.pos_x = 171,
		.pos_y = 455,
		.angle = 224,
	},
	{
		.pos_x = 168,
		.pos_y = 452,
		.angle = 225,
	},
	{
		.pos_x = 165,
		.pos_y = 449,
		.angle = 226,
	},
	{
		.pos_x = 163,
		.pos_y = 447,
		.angle = 227,
	},
	{
		.pos_x = 160,
		.pos_y = 444,
		.angle = 228,
	},
	{
		.pos_x = 158,
		.pos_y = 441,
		.angle = 229,
	},
	{
		.pos_x = 155,
		.pos_y = 438,
		.angle = 230,
	},
	{
		.pos_x = 153,
		.pos_y = 435,
		.angle = 231,
	},
	{
		.pos_x = 151,
		.pos_y = 432,
		.angle = 232,
	},
	{
		.pos_x = 148,
		.pos_y = 429,
		.angle = 233,
	},
	{
		.pos_x = 146,
		.pos_y = 426,
		.angle = 234,
	},
	{
		.pos_x = 144,
		.pos_y = 423,
		.angle = 235,
	},
	{
		.pos_x = 142,
		.pos_y = 420,
		.angle = 236,
	},
	{
		.pos_x = 140,
		.pos_y = 417,
		.angle = 237,
	},
	{
		.pos_x = 138,
		.pos_y = 414,
		.angle = 238,
	},
	{
		.pos_x = 136,
		.pos_y = 411,
		.angle = 239,
	},
	{
		.pos_x = 134,
		.pos_y = 407,
		.angle = 240,
	},
	{
		.pos_x = 132,
		.pos_y = 404,
		.angle = 241,
	},
	{
		.pos_x = 130,
		.pos_y = 401,
		.angle = 242,
	},
	{
		.pos_x = 128,
		.pos_y = 398,
		.angle = 243,
	},
	{
		.pos_x = 127,
		.pos_y = 394,
		.angle = 244,
	},
	{
		.pos_x = 125,
		.pos_y = 391,
		.angle = 245,
	},
	{
		.pos_x = 124,
		.pos_y = 387,
		.angle = 246,
	},
	{
		.pos_x = 122,
		.pos_y = 384,
		.angle = 247,
	},
	{
		.pos_x = 121,
		.pos_y = 381,
		.angle = 248,
	},
	{
		.pos_x = 119,
		.pos_y = 377,
		.angle = 249,
	},
	{
		.pos_x = 118,
		.pos_y = 374,
		.angle = 250,
	},
	{
		.pos_x = 117,
		.pos_y = 370,
		.angle = 251,
	},
	{
		.pos_x = 116,
		.pos_y = 366,
		.angle = 252,
	},
	{
		.pos_x = 114,
		.pos_y = 363,
		.angle = 253,
	},
	{
		.pos_x = 113,
		.pos_y = 359,
		.angle = 254,
	},
	{
		.pos_x = 112,
		.pos_y = 356,
		.angle = 255,
	},
	{
		.pos_x = 111,
		.pos_y = 352,
		.angle = 256,
	},
	{
		.pos_x = 111,
		.pos_y = 348,
		.angle = 257,
	},
	{
		.pos_x = 110,
		.pos_y = 345,
		.angle = 258,
	},
	{
		.pos_x = 109,
		.pos_y = 341,
		.angle = 259,
	},
	{
		.pos_x = 108,
		.pos_y = 337,
		.angle = 260,
	},
	{
		.pos_x = 108,
		.pos_y = 334,
		.angle = 261,
	},
	{
		.pos_x = 107,
		.pos_y = 330,
		.angle = 262,
	},
	{
		.pos_x = 107,
		.pos_y = 326,
		.angle = 263,
	},
	{
		.pos_x = 106,
		.pos_y = 322,
		.angle = 264,
	},
	{
		.pos_x = 106,
		.pos_y = 319,
		.angle = 265,
	},
	{
		.pos_x = 106,
		.pos_y = 315,
		.angle = 266,
	},
	{
		.pos_x = 105,
		.pos_y = 311,
		.angle = 267,
	},
	{
		.pos_x = 105,
		.pos_y = 308,
		.angle = 268,
	},
	{
		.pos_x = 105,
		.pos_y = 304,
		.angle = 269,
	},
	{
		.pos_x = 105,
		.pos_y = 300,
		.angle = 270,
	},
	{
		.pos_x = 105,
		.pos_y = 296,
		.angle = 271,
	},
	{
		.pos_x = 105,
		.pos_y = 292,
		.angle = 272,
	},
	{
		.pos_x = 105,
		.pos_y = 289,
		.angle = 273,
	},
	{
		.pos_x = 106,
		.pos_y = 285,
		.angle = 274,
	},
	{
		.pos_x = 106,
		.pos_y = 281,
		.angle = 275,
	},
	{
		.pos_x = 106,
		.pos_y = 278,
		.angle = 276,
	},
	{
		.pos_x = 107,
		.pos_y = 274,
		.angle = 277,
	},
	{
		.pos_x = 107,
		.pos_y = 270,
		.angle = 278,
	},
	{
		.pos_x = 108,
		.pos_y = 266,
		.angle = 279,
	},
	{
		.pos_x = 108,
		.pos_y = 263,
		.angle = 280,
	},
	{
		.pos_x = 109,
		.pos_y = 259,
		.angle = 281,
	},
	{
		.pos_x = 110,
		.pos_y = 255,
		.angle = 282,
	},
	{
		.pos_x = 111,
		.pos_y = 252,
		.angle = 283,
	},
	{
		.pos_x = 111,
		.pos_y = 248,
		.angle = 284,
	},
	{
		.pos_x = 112,
		.pos_y = 244,
		.angle = 285,
	},
	{
		.pos_x = 113,
		.pos_y = 241,
		.angle = 286,
	},
	{
		.pos_x = 114,
		.pos_y = 237,
		.angle = 287,
	},
	{
		.pos_x = 116,
		.pos_y = 234,
		.angle = 288,
	},
	{
		.pos_x = 117,
		.pos_y = 230,
		.angle = 289,
	},
	{
		.pos_x = 118,
		.pos_y = 226,
		.angle = 290,
	},
	{
		.pos_x = 119,
		.pos_y = 223,
		.angle = 291,
	},
	{
		.pos_x = 121,
		.pos_y = 219,
		.angle = 292,
	},
	{
		.pos_x = 122,
		.pos_y = 216,
		.angle = 293,
	},
	{
		.pos_x = 124,
		.pos_y = 213,
		.angle = 294,
	},
	{
		.pos_x = 125,
		.pos_y = 209,
		.angle = 295,
	},
	{
		.pos_x = 127,
		.pos_y = 206,
		.angle = 296,
	},
	{
		.pos_x = 128,
		.pos_y = 202,
		.angle = 297,
	},
	{
		.pos_x = 130,
		.pos_y = 199,
		.angle = 298,
	},
	{
		.pos_x = 132,
		.pos_y = 196,
		.angle = 299,
	},
	{
		.pos_x = 134,
		.pos_y = 193,
		.angle = 300,
	},
	{
		.pos_x = 136,
		.pos_y = 189,
		.angle = 301,
	},
	{
		.pos_x = 138,
		.pos_y = 186,
		.angle = 302,
	},
	{
		.pos_x = 140,
		.pos_y = 183,
		.angle = 303,
	},
	{
		.pos_x = 142,
		.pos_y = 180,
		.angle = 304,
	},
	{
		.pos_x = 144,
		.pos_y = 177,
		.angle = 305,
	},
	{
		.pos_x = 146,
		.pos_y = 174,
		.angle = 306,
	},
	{
		.pos_x = 148,
		.pos_y = 171,
		.angle = 307,
	},
	{
		.pos_x = 151,
		.pos_y = 168,
		.angle = 308,
	},
	{
		.pos_x = 153,
		.pos_y = 165,
		.angle = 309,
	},
	{
		.pos_x = 155,
		.pos_y = 162,
		.angle = 310,
	},
	{
		.pos_x = 158,
		.pos_y = 159,
		.angle = 311,
	},
	{
		.pos_x = 160,
		.pos_y = 156,
		.angle = 312,
	},
	{
		.pos_x = 163,
		.pos_y = 153,
		.angle = 313,
	},
	{
		.pos_x = 165,
		.pos_y = 151,
		.angle = 314,
	},
	{
		.pos_x = 168,
		.pos_y = 148,
		.angle = 315,
	},
	{
		.pos_x = 171,
		.pos_y = 145,
		.angle = 316,
	},
	{
		.pos_x = 173,
		.pos_y = 143,
		.angle = 317,
	},
	{
		.pos_x = 176,
		.pos_y = 140,
		.angle = 318,
	},
	{
		.pos_x = 179,
		.pos_y = 138,
		.angle = 319,
	},
	{
		.pos_x = 182,
		.pos_y = 135,
		.angle = 320,
	},
	{
		.pos_x = 185,
		.pos_y = 133,
		.angle = 321,
	},
	{
		.pos_x = 188,
		.pos_y = 131,
		.angle = 322,
	},
	{
		.pos_x = 191,
		.pos_y = 128,
		.angle = 323,
	},
	{
		.pos_x = 194,
		.pos_y = 126,
		.angle = 324,
	},
	{
		.pos_x = 197,
		.pos_y = 124,
		.angle = 325,
	},
	{
		.pos_x = 200,
		.pos_y = 122,
		.angle = 326,
	},
	{
		.pos_x = 203,
		.pos_y = 120,
		.angle = 327,
	},
	{
		.pos_x = 206,
		.pos_y = 118,
		.angle = 328,
	},
	{
		.pos_x = 209,
		.pos_y = 116,
		.angle = 329,
	},
	{
		.pos_x = 212,
		.pos_y = 114,
		.angle = 330,
	},
	{
		.pos_x = 216,
		.pos_y = 112,
		.angle = 331,
	},
	{
		.pos_x = 219,
		.pos_y = 110,
		.angle = 332,
	},
	{
		.pos_x = 222,
		.pos_y = 108,
		.angle = 333,
	},
	{
		.pos_x = 226,
		.pos_y = 107,
		.angle = 334,
	},
	{
		.pos_x = 229,
		.pos_y = 105,
		.angle = 335,
	},
	{
		.pos_x = 233,
		.pos_y = 104,
		.angle = 336,
	},
	{
		.pos_x = 236,
		.pos_y = 102,
		.angle = 337,
	},
	{
		.pos_x = 239,
		.pos_y = 101,
		.angle = 338,
	},
	{
		.pos_x = 243,
		.pos_y = 99,
		.angle = 339,
	},
	{
		.pos_x = 246,
		.pos_y = 98,
		.angle = 340,
	},
	{
		.pos_x = 250,
		.pos_y = 97,
		.angle = 341,
	},
	{
		.pos_x = 254,
		.pos_y = 96,
		.angle = 342,
	},
	{
		.pos_x = 257,
		.pos_y = 94,
		.angle = 343,
	},
	{
		.pos_x = 261,
		.pos_y = 93,
		.angle = 344,
	},
	{
		.pos_x = 264,
		.pos_y = 92,
		.angle = 345,
	},
	{
		.pos_x = 268,
		.pos_y = 91,
		.angle = 346,
	},
	{
		.pos_x = 272,
		.pos_y = 91,
		.angle = 347,
	},
	{
		.pos_x = 275,
		.pos_y = 90,
		.angle = 348,
	},
	{
		.pos_x = 279,
		.pos_y = 89,
		.angle = 349,
	},
	{
		.pos_x = 283,
		.pos_y = 88,
		.angle = 350,
	},
	{
		.pos_x = 286,
		.pos_y = 88,
		.angle = 351,
	},
	{
		.pos_x = 290,
		.pos_y = 87,
		.angle = 352,
	},
	{
		.pos_x = 294,
		.pos_y = 87,
		.angle = 353,
	},
	{
		.pos_x = 298,
		.pos_y = 86,
		.angle = 354,
	},
	{
		.pos_x = 301,
		.pos_y = 86,
		.angle = 355,
	},
	{
		.pos_x = 305,
		.pos_y = 86,
		.angle = 356,
	},
	{
		.pos_x = 309,
		.pos_y = 85,
		.angle = 357,
	},
	{
		.pos_x = 312,
		.pos_y = 85,
		.angle = 358,
	},
	{
		.pos_x = 316,
		.pos_y = 85,
		.angle = 359,
	},
};
static struct needle_asset rpmassets[] = {
	{
		.pos_x = 1476,
		.pos_y = 86,
		.angle = 0,
	},
	{
		.pos_x = 1480,
		.pos_y = 86,
		.angle = 1,
	},
	{
		.pos_x = 1483,
		.pos_y = 86,
		.angle = 2,
	},
	{
		.pos_x = 1487,
		.pos_y = 86,
		.angle = 3,
	},
	{
		.pos_x = 1491,
		.pos_y = 87,
		.angle = 4,
	},
	{
		.pos_x = 1495,
		.pos_y = 87,
		.angle = 5,
	},
	{
		.pos_x = 1498,
		.pos_y = 87,
		.angle = 6,
	},
	{
		.pos_x = 1502,
		.pos_y = 88,
		.angle = 7,
	},
	{
		.pos_x = 1506,
		.pos_y = 88,
		.angle = 8,
	},
	{
		.pos_x = 1509,
		.pos_y = 89,
		.angle = 9,
	},
	{
		.pos_x = 1513,
		.pos_y = 89,
		.angle = 10,
	},
	{
		.pos_x = 1517,
		.pos_y = 90,
		.angle = 11,
	},
	{
		.pos_x = 1520,
		.pos_y = 91,
		.angle = 12,
	},
	{
		.pos_x = 1524,
		.pos_y = 91,
		.angle = 13,
	},
	{
		.pos_x = 1528,
		.pos_y = 92,
		.angle = 14,
	},
	{
		.pos_x = 1531,
		.pos_y = 93,
		.angle = 15,
	},
	{
		.pos_x = 1535,
		.pos_y = 94,
		.angle = 16,
	},
	{
		.pos_x = 1539,
		.pos_y = 95,
		.angle = 17,
	},
	{
		.pos_x = 1542,
		.pos_y = 96,
		.angle = 18,
	},
	{
		.pos_x = 1546,
		.pos_y = 98,
		.angle = 19,
	},
	{
		.pos_x = 1549,
		.pos_y = 99,
		.angle = 20,
	},
	{
		.pos_x = 1553,
		.pos_y = 100,
		.angle = 21,
	},
	{
		.pos_x = 1556,
		.pos_y = 102,
		.angle = 22,
	},
	{
		.pos_x = 1560,
		.pos_y = 103,
		.angle = 23,
	},
	{
		.pos_x = 1563,
		.pos_y = 105,
		.angle = 24,
	},
	{
		.pos_x = 1566,
		.pos_y = 106,
		.angle = 25,
	},
	{
		.pos_x = 1570,
		.pos_y = 108,
		.angle = 26,
	},
	{
		.pos_x = 1573,
		.pos_y = 109,
		.angle = 27,
	},
	{
		.pos_x = 1576,
		.pos_y = 111,
		.angle = 28,
	},
	{
		.pos_x = 1580,
		.pos_y = 113,
		.angle = 29,
	},
	{
		.pos_x = 1583,
		.pos_y = 115,
		.angle = 30,
	},
	{
		.pos_x = 1586,
		.pos_y = 117,
		.angle = 31,
	},
	{
		.pos_x = 1589,
		.pos_y = 119,
		.angle = 32,
	},
	{
		.pos_x = 1593,
		.pos_y = 121,
		.angle = 33,
	},
	{
		.pos_x = 1596,
		.pos_y = 123,
		.angle = 34,
	},
	{
		.pos_x = 1599,
		.pos_y = 125,
		.angle = 35,
	},
	{
		.pos_x = 1602,
		.pos_y = 127,
		.angle = 36,
	},
	{
		.pos_x = 1605,
		.pos_y = 129,
		.angle = 37,
	},
	{
		.pos_x = 1608,
		.pos_y = 131,
		.angle = 38,
	},
	{
		.pos_x = 1611,
		.pos_y = 134,
		.angle = 39,
	},
	{
		.pos_x = 1614,
		.pos_y = 136,
		.angle = 40,
	},
	{
		.pos_x = 1616,
		.pos_y = 138,
		.angle = 41,
	},
	{
		.pos_x = 1619,
		.pos_y = 141,
		.angle = 42,
	},
	{
		.pos_x = 1622,
		.pos_y = 143,
		.angle = 43,
	},
	{
		.pos_x = 1625,
		.pos_y = 146,
		.angle = 44,
	},
	{
		.pos_x = 1627,
		.pos_y = 149,
		.angle = 45,
	},
	{
		.pos_x = 1630,
		.pos_y = 151,
		.angle = 46,
	},
	{
		.pos_x = 1633,
		.pos_y = 154,
		.angle = 47,
	},
	{
		.pos_x = 1635,
		.pos_y = 157,
		.angle = 48,
	},
	{
		.pos_x = 1638,
		.pos_y = 160,
		.angle = 49,
	},
	{
		.pos_x = 1640,
		.pos_y = 162,
		.angle = 50,
	},
	{
		.pos_x = 1642,
		.pos_y = 165,
		.angle = 51,
	},
	{
		.pos_x = 1645,
		.pos_y = 168,
		.angle = 52,
	},
	{
		.pos_x = 1647,
		.pos_y = 171,
		.angle = 53,
	},
	{
		.pos_x = 1649,
		.pos_y = 174,
		.angle = 54,
	},
	{
		.pos_x = 1651,
		.pos_y = 177,
		.angle = 55,
	},
	{
		.pos_x = 1653,
		.pos_y = 180,
		.angle = 56,
	},
	{
		.pos_x = 1655,
		.pos_y = 183,
		.angle = 57,
	},
	{
		.pos_x = 1657,
		.pos_y = 187,
		.angle = 58,
	},
	{
		.pos_x = 1659,
		.pos_y = 190,
		.angle = 59,
	},
	{
		.pos_x = 1661,
		.pos_y = 193,
		.angle = 60,
	},
	{
		.pos_x = 1663,
		.pos_y = 196,
		.angle = 61,
	},
	{
		.pos_x = 1665,
		.pos_y = 200,
		.angle = 62,
	},
	{
		.pos_x = 1667,
		.pos_y = 203,
		.angle = 63,
	},
	{
		.pos_x = 1668,
		.pos_y = 206,
		.angle = 64,
	},
	{
		.pos_x = 1670,
		.pos_y = 210,
		.angle = 65,
	},
	{
		.pos_x = 1671,
		.pos_y = 213,
		.angle = 66,
	},
	{
		.pos_x = 1673,
		.pos_y = 216,
		.angle = 67,
	},
	{
		.pos_x = 1674,
		.pos_y = 220,
		.angle = 68,
	},
	{
		.pos_x = 1676,
		.pos_y = 223,
		.angle = 69,
	},
	{
		.pos_x = 1677,
		.pos_y = 227,
		.angle = 70,
	},
	{
		.pos_x = 1678,
		.pos_y = 230,
		.angle = 71,
	},
	{
		.pos_x = 1680,
		.pos_y = 234,
		.angle = 72,
	},
	{
		.pos_x = 1681,
		.pos_y = 237,
		.angle = 73,
	},
	{
		.pos_x = 1682,
		.pos_y = 241,
		.angle = 74,
	},
	{
		.pos_x = 1683,
		.pos_y = 245,
		.angle = 75,
	},
	{
		.pos_x = 1684,
		.pos_y = 248,
		.angle = 76,
	},
	{
		.pos_x = 1685,
		.pos_y = 252,
		.angle = 77,
	},
	{
		.pos_x = 1685,
		.pos_y = 256,
		.angle = 78,
	},
	{
		.pos_x = 1686,
		.pos_y = 259,
		.angle = 79,
	},
	{
		.pos_x = 1687,
		.pos_y = 263,
		.angle = 80,
	},
	{
		.pos_x = 1687,
		.pos_y = 267,
		.angle = 81,
	},
	{
		.pos_x = 1688,
		.pos_y = 270,
		.angle = 82,
	},
	{
		.pos_x = 1688,
		.pos_y = 274,
		.angle = 83,
	},
	{
		.pos_x = 1689,
		.pos_y = 278,
		.angle = 84,
	},
	{
		.pos_x = 1689,
		.pos_y = 281,
		.angle = 85,
	},
	{
		.pos_x = 1689,
		.pos_y = 285,
		.angle = 86,
	},
	{
		.pos_x = 1690,
		.pos_y = 289,
		.angle = 87,
	},
	{
		.pos_x = 1690,
		.pos_y = 293,
		.angle = 88,
	},
	{
		.pos_x = 1690,
		.pos_y = 296,
		.angle = 89,
	},
	{
		.pos_x = 1690,
		.pos_y = 300,
		.angle = 90,
	},
	{
		.pos_x = 1690,
		.pos_y = 304,
		.angle = 91,
	},
	{
		.pos_x = 1690,
		.pos_y = 307,
		.angle = 92,
	},
	{
		.pos_x = 1690,
		.pos_y = 311,
		.angle = 93,
	},
	{
		.pos_x = 1689,
		.pos_y = 315,
		.angle = 94,
	},
	{
		.pos_x = 1689,
		.pos_y = 319,
		.angle = 95,
	},
	{
		.pos_x = 1689,
		.pos_y = 322,
		.angle = 96,
	},
	{
		.pos_x = 1688,
		.pos_y = 326,
		.angle = 97,
	},
	{
		.pos_x = 1688,
		.pos_y = 330,
		.angle = 98,
	},
	{
		.pos_x = 1687,
		.pos_y = 333,
		.angle = 99,
	},
	{
		.pos_x = 1687,
		.pos_y = 337,
		.angle = 100,
	},
	{
		.pos_x = 1686,
		.pos_y = 341,
		.angle = 101,
	},
	{
		.pos_x = 1685,
		.pos_y = 344,
		.angle = 102,
	},
	{
		.pos_x = 1685,
		.pos_y = 348,
		.angle = 103,
	},
	{
		.pos_x = 1684,
		.pos_y = 352,
		.angle = 104,
	},
	{
		.pos_x = 1683,
		.pos_y = 355,
		.angle = 105,
	},
	{
		.pos_x = 1682,
		.pos_y = 359,
		.angle = 106,
	},
	{
		.pos_x = 1681,
		.pos_y = 363,
		.angle = 107,
	},
	{
		.pos_x = 1680,
		.pos_y = 366,
		.angle = 108,
	},
	{
		.pos_x = 1678,
		.pos_y = 370,
		.angle = 109,
	},
	{
		.pos_x = 1677,
		.pos_y = 373,
		.angle = 110,
	},
	{
		.pos_x = 1676,
		.pos_y = 377,
		.angle = 111,
	},
	{
		.pos_x = 1674,
		.pos_y = 380,
		.angle = 112,
	},
	{
		.pos_x = 1673,
		.pos_y = 384,
		.angle = 113,
	},
	{
		.pos_x = 1671,
		.pos_y = 387,
		.angle = 114,
	},
	{
		.pos_x = 1670,
		.pos_y = 390,
		.angle = 115,
	},
	{
		.pos_x = 1668,
		.pos_y = 394,
		.angle = 116,
	},
	{
		.pos_x = 1667,
		.pos_y = 397,
		.angle = 117,
	},
	{
		.pos_x = 1665,
		.pos_y = 400,
		.angle = 118,
	},
	{
		.pos_x = 1663,
		.pos_y = 404,
		.angle = 119,
	},
	{
		.pos_x = 1661,
		.pos_y = 407,
		.angle = 120,
	},
	{
		.pos_x = 1659,
		.pos_y = 410,
		.angle = 121,
	},
	{
		.pos_x = 1657,
		.pos_y = 413,
		.angle = 122,
	},
	{
		.pos_x = 1655,
		.pos_y = 417,
		.angle = 123,
	},
	{
		.pos_x = 1653,
		.pos_y = 420,
		.angle = 124,
	},
	{
		.pos_x = 1651,
		.pos_y = 423,
		.angle = 125,
	},
	{
		.pos_x = 1649,
		.pos_y = 426,
		.angle = 126,
	},
	{
		.pos_x = 1647,
		.pos_y = 429,
		.angle = 127,
	},
	{
		.pos_x = 1645,
		.pos_y = 432,
		.angle = 128,
	},
	{
		.pos_x = 1642,
		.pos_y = 435,
		.angle = 129,
	},
	{
		.pos_x = 1640,
		.pos_y = 438,
		.angle = 130,
	},
	{
		.pos_x = 1638,
		.pos_y = 440,
		.angle = 131,
	},
	{
		.pos_x = 1635,
		.pos_y = 443,
		.angle = 132,
	},
	{
		.pos_x = 1633,
		.pos_y = 446,
		.angle = 133,
	},
	{
		.pos_x = 1630,
		.pos_y = 449,
		.angle = 134,
	},
	{
		.pos_x = 1627,
		.pos_y = 451,
		.angle = 135,
	},
	{
		.pos_x = 1625,
		.pos_y = 454,
		.angle = 136,
	},
	{
		.pos_x = 1622,
		.pos_y = 457,
		.angle = 137,
	},
	{
		.pos_x = 1619,
		.pos_y = 459,
		.angle = 138,
	},
	{
		.pos_x = 1616,
		.pos_y = 462,
		.angle = 139,
	},
	{
		.pos_x = 1614,
		.pos_y = 464,
		.angle = 140,
	},
	{
		.pos_x = 1611,
		.pos_y = 466,
		.angle = 141,
	},
	{
		.pos_x = 1608,
		.pos_y = 469,
		.angle = 142,
	},
	{
		.pos_x = 1605,
		.pos_y = 471,
		.angle = 143,
	},
	{
		.pos_x = 1602,
		.pos_y = 473,
		.angle = 144,
	},
	{
		.pos_x = 1599,
		.pos_y = 475,
		.angle = 145,
	},
	{
		.pos_x = 1596,
		.pos_y = 477,
		.angle = 146,
	},
	{
		.pos_x = 1593,
		.pos_y = 479,
		.angle = 147,
	},
	{
		.pos_x = 1589,
		.pos_y = 481,
		.angle = 148,
	},
	{
		.pos_x = 1586,
		.pos_y = 483,
		.angle = 149,
	},
	{
		.pos_x = 1583,
		.pos_y = 485,
		.angle = 150,
	},
	{
		.pos_x = 1580,
		.pos_y = 487,
		.angle = 151,
	},
	{
		.pos_x = 1576,
		.pos_y = 489,
		.angle = 152,
	},
	{
		.pos_x = 1573,
		.pos_y = 491,
		.angle = 153,
	},
	{
		.pos_x = 1570,
		.pos_y = 492,
		.angle = 154,
	},
	{
		.pos_x = 1566,
		.pos_y = 494,
		.angle = 155,
	},
	{
		.pos_x = 1563,
		.pos_y = 495,
		.angle = 156,
	},
	{
		.pos_x = 1560,
		.pos_y = 497,
		.angle = 157,
	},
	{
		.pos_x = 1556,
		.pos_y = 498,
		.angle = 158,
	},
	{
		.pos_x = 1553,
		.pos_y = 500,
		.angle = 159,
	},
	{
		.pos_x = 1549,
		.pos_y = 501,
		.angle = 160,
	},
	{
		.pos_x = 1546,
		.pos_y = 502,
		.angle = 161,
	},
	{
		.pos_x = 1542,
		.pos_y = 504,
		.angle = 162,
	},
	{
		.pos_x = 1539,
		.pos_y = 505,
		.angle = 163,
	},
	{
		.pos_x = 1535,
		.pos_y = 506,
		.angle = 164,
	},
	{
		.pos_x = 1531,
		.pos_y = 507,
		.angle = 165,
	},
	{
		.pos_x = 1528,
		.pos_y = 508,
		.angle = 166,
	},
	{
		.pos_x = 1524,
		.pos_y = 509,
		.angle = 167,
	},
	{
		.pos_x = 1520,
		.pos_y = 509,
		.angle = 168,
	},
	{
		.pos_x = 1517,
		.pos_y = 510,
		.angle = 169,
	},
	{
		.pos_x = 1513,
		.pos_y = 511,
		.angle = 170,
	},
	{
		.pos_x = 1509,
		.pos_y = 511,
		.angle = 171,
	},
	{
		.pos_x = 1506,
		.pos_y = 512,
		.angle = 172,
	},
	{
		.pos_x = 1502,
		.pos_y = 512,
		.angle = 173,
	},
	{
		.pos_x = 1498,
		.pos_y = 513,
		.angle = 174,
	},
	{
		.pos_x = 1495,
		.pos_y = 513,
		.angle = 175,
	},
	{
		.pos_x = 1491,
		.pos_y = 513,
		.angle = 176,
	},
	{
		.pos_x = 1487,
		.pos_y = 514,
		.angle = 177,
	},
	{
		.pos_x = 1483,
		.pos_y = 514,
		.angle = 178,
	},
	{
		.pos_x = 1480,
		.pos_y = 514,
		.angle = 179,
	},
	{
		.pos_x = 1476,
		.pos_y = 514,
		.angle = 180,
	},
	{
		.pos_x = 1472,
		.pos_y = 514,
		.angle = 181,
	},
	{
		.pos_x = 1469,
		.pos_y = 514,
		.angle = 182,
	},
	{
		.pos_x = 1465,
		.pos_y = 514,
		.angle = 183,
	},
	{
		.pos_x = 1461,
		.pos_y = 513,
		.angle = 184,
	},
	{
		.pos_x = 1457,
		.pos_y = 513,
		.angle = 185,
	},
	{
		.pos_x = 1454,
		.pos_y = 513,
		.angle = 186,
	},
	{
		.pos_x = 1450,
		.pos_y = 512,
		.angle = 187,
	},
	{
		.pos_x = 1446,
		.pos_y = 512,
		.angle = 188,
	},
	{
		.pos_x = 1443,
		.pos_y = 511,
		.angle = 189,
	},
	{
		.pos_x = 1439,
		.pos_y = 511,
		.angle = 190,
	},
	{
		.pos_x = 1435,
		.pos_y = 510,
		.angle = 191,
	},
	{
		.pos_x = 1432,
		.pos_y = 509,
		.angle = 192,
	},
	{
		.pos_x = 1428,
		.pos_y = 509,
		.angle = 193,
	},
	{
		.pos_x = 1424,
		.pos_y = 508,
		.angle = 194,
	},
	{
		.pos_x = 1421,
		.pos_y = 507,
		.angle = 195,
	},
	{
		.pos_x = 1417,
		.pos_y = 506,
		.angle = 196,
	},
	{
		.pos_x = 1413,
		.pos_y = 505,
		.angle = 197,
	},
	{
		.pos_x = 1410,
		.pos_y = 504,
		.angle = 198,
	},
	{
		.pos_x = 1406,
		.pos_y = 502,
		.angle = 199,
	},
	{
		.pos_x = 1403,
		.pos_y = 501,
		.angle = 200,
	},
	{
		.pos_x = 1399,
		.pos_y = 500,
		.angle = 201,
	},
	{
		.pos_x = 1396,
		.pos_y = 498,
		.angle = 202,
	},
	{
		.pos_x = 1392,
		.pos_y = 497,
		.angle = 203,
	},
	{
		.pos_x = 1389,
		.pos_y = 495,
		.angle = 204,
	},
	{
		.pos_x = 1386,
		.pos_y = 494,
		.angle = 205,
	},
	{
		.pos_x = 1382,
		.pos_y = 492,
		.angle = 206,
	},
	{
		.pos_x = 1379,
		.pos_y = 491,
		.angle = 207,
	},
	{
		.pos_x = 1376,
		.pos_y = 489,
		.angle = 208,
	},
	{
		.pos_x = 1372,
		.pos_y = 487,
		.angle = 209,
	},
	{
		.pos_x = 1369,
		.pos_y = 485,
		.angle = 210,
	},
	{
		.pos_x = 1366,
		.pos_y = 483,
		.angle = 211,
	},
	{
		.pos_x = 1363,
		.pos_y = 481,
		.angle = 212,
	},
	{
		.pos_x = 1359,
		.pos_y = 479,
		.angle = 213,
	},
	{
		.pos_x = 1356,
		.pos_y = 477,
		.angle = 214,
	},
	{
		.pos_x = 1353,
		.pos_y = 475,
		.angle = 215,
	},
	{
		.pos_x = 1350,
		.pos_y = 473,
		.angle = 216,
	},
	{
		.pos_x = 1347,
		.pos_y = 471,
		.angle = 217,
	},
	{
		.pos_x = 1344,
		.pos_y = 469,
		.angle = 218,
	},
	{
		.pos_x = 1341,
		.pos_y = 466,
		.angle = 219,
	},
	{
		.pos_x = 1338,
		.pos_y = 464,
		.angle = 220,
	},
	{
		.pos_x = 1336,
		.pos_y = 462,
		.angle = 221,
	},
	{
		.pos_x = 1333,
		.pos_y = 459,
		.angle = 222,
	},
	{
		.pos_x = 1330,
		.pos_y = 457,
		.angle = 223,
	},
	{
		.pos_x = 1327,
		.pos_y = 454,
		.angle = 224,
	},
	{
		.pos_x = 1325,
		.pos_y = 451,
		.angle = 225,
	},
	{
		.pos_x = 1322,
		.pos_y = 449,
		.angle = 226,
	},
	{
		.pos_x = 1319,
		.pos_y = 446,
		.angle = 227,
	},
	{
		.pos_x = 1317,
		.pos_y = 443,
		.angle = 228,
	},
	{
		.pos_x = 1314,
		.pos_y = 440,
		.angle = 229,
	},
	{
		.pos_x = 1312,
		.pos_y = 438,
		.angle = 230,
	},
	{
		.pos_x = 1310,
		.pos_y = 435,
		.angle = 231,
	},
	{
		.pos_x = 1307,
		.pos_y = 432,
		.angle = 232,
	},
	{
		.pos_x = 1305,
		.pos_y = 429,
		.angle = 233,
	},
	{
		.pos_x = 1303,
		.pos_y = 426,
		.angle = 234,
	},
	{
		.pos_x = 1301,
		.pos_y = 423,
		.angle = 235,
	},
	{
		.pos_x = 1299,
		.pos_y = 420,
		.angle = 236,
	},
	{
		.pos_x = 1297,
		.pos_y = 417,
		.angle = 237,
	},
	{
		.pos_x = 1295,
		.pos_y = 413,
		.angle = 238,
	},
	{
		.pos_x = 1293,
		.pos_y = 410,
		.angle = 239,
	},
	{
		.pos_x = 1291,
		.pos_y = 407,
		.angle = 240,
	},
	{
		.pos_x = 1289,
		.pos_y = 404,
		.angle = 241,
	},
	{
		.pos_x = 1287,
		.pos_y = 400,
		.angle = 242,
	},
	{
		.pos_x = 1285,
		.pos_y = 397,
		.angle = 243,
	},
	{
		.pos_x = 1284,
		.pos_y = 394,
		.angle = 244,
	},
	{
		.pos_x = 1282,
		.pos_y = 390,
		.angle = 245,
	},
	{
		.pos_x = 1281,
		.pos_y = 387,
		.angle = 246,
	},
	{
		.pos_x = 1279,
		.pos_y = 384,
		.angle = 247,
	},
	{
		.pos_x = 1278,
		.pos_y = 380,
		.angle = 248,
	},
	{
		.pos_x = 1276,
		.pos_y = 377,
		.angle = 249,
	},
	{
		.pos_x = 1275,
		.pos_y = 373,
		.angle = 250,
	},
	{
		.pos_x = 1274,
		.pos_y = 370,
		.angle = 251,
	},
	{
		.pos_x = 1272,
		.pos_y = 366,
		.angle = 252,
	},
	{
		.pos_x = 1271,
		.pos_y = 363,
		.angle = 253,
	},
	{
		.pos_x = 1270,
		.pos_y = 359,
		.angle = 254,
	},
	{
		.pos_x = 1269,
		.pos_y = 355,
		.angle = 255,
	},
	{
		.pos_x = 1268,
		.pos_y = 352,
		.angle = 256,
	},
	{
		.pos_x = 1267,
		.pos_y = 348,
		.angle = 257,
	},
	{
		.pos_x = 1267,
		.pos_y = 344,
		.angle = 258,
	},
	{
		.pos_x = 1266,
		.pos_y = 341,
		.angle = 259,
	},
	{
		.pos_x = 1265,
		.pos_y = 337,
		.angle = 260,
	},
	{
		.pos_x = 1265,
		.pos_y = 333,
		.angle = 261,
	},
	{
		.pos_x = 1264,
		.pos_y = 330,
		.angle = 262,
	},
	{
		.pos_x = 1264,
		.pos_y = 326,
		.angle = 263,
	},
	{
		.pos_x = 1263,
		.pos_y = 322,
		.angle = 264,
	},
	{
		.pos_x = 1263,
		.pos_y = 319,
		.angle = 265,
	},
	{
		.pos_x = 1263,
		.pos_y = 315,
		.angle = 266,
	},
	{
		.pos_x = 1262,
		.pos_y = 311,
		.angle = 267,
	},
	{
		.pos_x = 1262,
		.pos_y = 307,
		.angle = 268,
	},
	{
		.pos_x = 1262,
		.pos_y = 304,
		.angle = 269,
	},
	{
		.pos_x = 1262,
		.pos_y = 300,
		.angle = 270,
	},
	{
		.pos_x = 1262,
		.pos_y = 296,
		.angle = 271,
	},
	{
		.pos_x = 1262,
		.pos_y = 293,
		.angle = 272,
	},
	{
		.pos_x = 1262,
		.pos_y = 289,
		.angle = 273,
	},
	{
		.pos_x = 1263,
		.pos_y = 285,
		.angle = 274,
	},
	{
		.pos_x = 1263,
		.pos_y = 281,
		.angle = 275,
	},
	{
		.pos_x = 1263,
		.pos_y = 278,
		.angle = 276,
	},
	{
		.pos_x = 1264,
		.pos_y = 274,
		.angle = 277,
	},
	{
		.pos_x = 1264,
		.pos_y = 270,
		.angle = 278,
	},
	{
		.pos_x = 1265,
		.pos_y = 267,
		.angle = 279,
	},
	{
		.pos_x = 1265,
		.pos_y = 263,
		.angle = 280,
	},
	{
		.pos_x = 1266,
		.pos_y = 259,
		.angle = 281,
	},
	{
		.pos_x = 1267,
		.pos_y = 256,
		.angle = 282,
	},
	{
		.pos_x = 1267,
		.pos_y = 252,
		.angle = 283,
	},
	{
		.pos_x = 1268,
		.pos_y = 248,
		.angle = 284,
	},
	{
		.pos_x = 1269,
		.pos_y = 245,
		.angle = 285,
	},
	{
		.pos_x = 1270,
		.pos_y = 241,
		.angle = 286,
	},
	{
		.pos_x = 1271,
		.pos_y = 237,
		.angle = 287,
	},
	{
		.pos_x = 1272,
		.pos_y = 234,
		.angle = 288,
	},
	{
		.pos_x = 1274,
		.pos_y = 230,
		.angle = 289,
	},
	{
		.pos_x = 1275,
		.pos_y = 227,
		.angle = 290,
	},
	{
		.pos_x = 1276,
		.pos_y = 223,
		.angle = 291,
	},
	{
		.pos_x = 1278,
		.pos_y = 220,
		.angle = 292,
	},
	{
		.pos_x = 1279,
		.pos_y = 216,
		.angle = 293,
	},
	{
		.pos_x = 1281,
		.pos_y = 213,
		.angle = 294,
	},
	{
		.pos_x = 1282,
		.pos_y = 210,
		.angle = 295,
	},
	{
		.pos_x = 1284,
		.pos_y = 206,
		.angle = 296,
	},
	{
		.pos_x = 1285,
		.pos_y = 203,
		.angle = 297,
	},
	{
		.pos_x = 1287,
		.pos_y = 200,
		.angle = 298,
	},
	{
		.pos_x = 1289,
		.pos_y = 196,
		.angle = 299,
	},
	{
		.pos_x = 1291,
		.pos_y = 193,
		.angle = 300,
	},
	{
		.pos_x = 1293,
		.pos_y = 190,
		.angle = 301,
	},
	{
		.pos_x = 1295,
		.pos_y = 187,
		.angle = 302,
	},
	{
		.pos_x = 1297,
		.pos_y = 183,
		.angle = 303,
	},
	{
		.pos_x = 1299,
		.pos_y = 180,
		.angle = 304,
	},
	{
		.pos_x = 1301,
		.pos_y = 177,
		.angle = 305,
	},
	{
		.pos_x = 1303,
		.pos_y = 174,
		.angle = 306,
	},
	{
		.pos_x = 1305,
		.pos_y = 171,
		.angle = 307,
	},
	{
		.pos_x = 1307,
		.pos_y = 168,
		.angle = 308,
	},
	{
		.pos_x = 1310,
		.pos_y = 165,
		.angle = 309,
	},
	{
		.pos_x = 1312,
		.pos_y = 162,
		.angle = 310,
	},
	{
		.pos_x = 1314,
		.pos_y = 160,
		.angle = 311,
	},
	{
		.pos_x = 1317,
		.pos_y = 157,
		.angle = 312,
	},
	{
		.pos_x = 1319,
		.pos_y = 154,
		.angle = 313,
	},
	{
		.pos_x = 1322,
		.pos_y = 151,
		.angle = 314,
	},
	{
		.pos_x = 1325,
		.pos_y = 149,
		.angle = 315,
	},
	{
		.pos_x = 1327,
		.pos_y = 146,
		.angle = 316,
	},
	{
		.pos_x = 1330,
		.pos_y = 143,
		.angle = 317,
	},
	{
		.pos_x = 1333,
		.pos_y = 141,
		.angle = 318,
	},
	{
		.pos_x = 1336,
		.pos_y = 138,
		.angle = 319,
	},
	{
		.pos_x = 1338,
		.pos_y = 136,
		.angle = 320,
	},
	{
		.pos_x = 1341,
		.pos_y = 134,
		.angle = 321,
	},
	{
		.pos_x = 1344,
		.pos_y = 131,
		.angle = 322,
	},
	{
		.pos_x = 1347,
		.pos_y = 129,
		.angle = 323,
	},
	{
		.pos_x = 1350,
		.pos_y = 127,
		.angle = 324,
	},
	{
		.pos_x = 1353,
		.pos_y = 125,
		.angle = 325,
	},
	{
		.pos_x = 1356,
		.pos_y = 123,
		.angle = 326,
	},
	{
		.pos_x = 1359,
		.pos_y = 121,
		.angle = 327,
	},
	{
		.pos_x = 1363,
		.pos_y = 119,
		.angle = 328,
	},
	{
		.pos_x = 1366,
		.pos_y = 117,
		.angle = 329,
	},
	{
		.pos_x = 1369,
		.pos_y = 115,
		.angle = 330,
	},
	{
		.pos_x = 1372,
		.pos_y = 113,
		.angle = 331,
	},
	{
		.pos_x = 1376,
		.pos_y = 111,
		.angle = 332,
	},
	{
		.pos_x = 1379,
		.pos_y = 109,
		.angle = 333,
	},
	{
		.pos_x = 1382,
		.pos_y = 108,
		.angle = 334,
	},
	{
		.pos_x = 1386,
		.pos_y = 106,
		.angle = 335,
	},
	{
		.pos_x = 1389,
		.pos_y = 105,
		.angle = 336,
	},
	{
		.pos_x = 1392,
		.pos_y = 103,
		.angle = 337,
	},
	{
		.pos_x = 1396,
		.pos_y = 102,
		.angle = 338,
	},
	{
		.pos_x = 1399,
		.pos_y = 100,
		.angle = 339,
	},
	{
		.pos_x = 1403,
		.pos_y = 99,
		.angle = 340,
	},
	{
		.pos_x = 1406,
		.pos_y = 98,
		.angle = 341,
	},
	{
		.pos_x = 1410,
		.pos_y = 96,
		.angle = 342,
	},
	{
		.pos_x = 1413,
		.pos_y = 95,
		.angle = 343,
	},
	{
		.pos_x = 1417,
		.pos_y = 94,
		.angle = 344,
	},
	{
		.pos_x = 1421,
		.pos_y = 93,
		.angle = 345,
	},
	{
		.pos_x = 1424,
		.pos_y = 92,
		.angle = 346,
	},
	{
		.pos_x = 1428,
		.pos_y = 91,
		.angle = 347,
	},
	{
		.pos_x = 1432,
		.pos_y = 91,
		.angle = 348,
	},
	{
		.pos_x = 1435,
		.pos_y = 90,
		.angle = 349,
	},
	{
		.pos_x = 1439,
		.pos_y = 89,
		.angle = 350,
	},
	{
		.pos_x = 1443,
		.pos_y = 89,
		.angle = 351,
	},
	{
		.pos_x = 1446,
		.pos_y = 88,
		.angle = 352,
	},
	{
		.pos_x = 1450,
		.pos_y = 88,
		.angle = 353,
	},
	{
		.pos_x = 1454,
		.pos_y = 87,
		.angle = 354,
	},
	{
		.pos_x = 1457,
		.pos_y = 87,
		.angle = 355,
	},
	{
		.pos_x = 1461,
		.pos_y = 87,
		.angle = 356,
	},
	{
		.pos_x = 1465,
		.pos_y = 86,
		.angle = 357,
	},
	{
		.pos_x = 1469,
		.pos_y = 86,
		.angle = 358,
	},
	{
		.pos_x = 1472,
		.pos_y = 86,
		.angle = 359,
	},
};
static struct needle_layer_asset nlassets[] = {
	{
		.feature = "fps-text",
		.width = 66,
		.height = 28,
		.pos_x = 1770,
		.pos_y = 2,
		.filename = DATADIR"/"ASSETDIR"/needles/fps-text-1770-2-66-28.raw",
	},
};
